
   id ZZ(i1?,i2?,i3?,i4?,[c],i5?,i6?,[c],i7?,[c],i8?) =
       + g1(i1,i2)*g1(i1,i4)*g1(i1,i5)*g1(i2,i3)
       + g1(i1,i2)*g1(i1,i4)*g1(i1,i5)*g1(i3,i4)
       - g1(i1,i2)*g1(i1,i4)*g1(i1,i6)*g1(i2,i3)
       - g1(i1,i2)*g1(i1,i4)*g1(i1,i6)*g1(i3,i4)
       + g1(i1,i2)*g1(i1,i4)*g1(i2,i3)*g1(i5,i6)
       + g1(i1,i2)*g1(i1,i4)*g1(i3,i4)*g1(i5,i6)
       + g1(i1,i2)*g1(i1,i5)*g1(i2,i3)*g1(i4,i5)
       + g1(i1,i2)*g1(i1,i5)*g1(i3,i4)*g1(i4,i5)
       - 2*g1(i1,i2)*g1(i1,i5)*g2(i1,i4)
       + 2*g1(i1,i2)*g1(i1,i5)*g2(i4,i5)
       - g1(i1,i2)*g1(i1,i6)*g1(i2,i3)*g1(i4,i6)
       - g1(i1,i2)*g1(i1,i6)*g1(i3,i4)*g1(i4,i6)
       + 2*g1(i1,i2)*g1(i1,i6)*g2(i1,i4)
       - 2*g1(i1,i2)*g1(i1,i6)*g2(i4,i6)
       - g1(i1,i2)*g1(i2,i3)*g1(i3,i4)*g1(i4,i5)
       + g1(i1,i2)*g1(i2,i3)*g1(i3,i4)*g1(i4,i6)
       - 2*g1(i1,i2)*g1(i2,i3)*g2(i4,i5)
       + 2*g1(i1,i2)*g1(i2,i3)*g2(i4,i6)
       - 2*g1(i1,i2)*g1(i3,i4)*g2(i4,i5)
       + 2*g1(i1,i2)*g1(i3,i4)*g2(i4,i6)
       - g1(i1,i2)*g1(i4,i5)*g2(i1,i5)
       - g1(i1,i2)*g1(i4,i5)*g2(i2,i3)
       - g1(i1,i2)*g1(i4,i5)*g2(i3,i4)
       + g1(i1,i2)*g1(i4,i6)*g2(i1,i6)
       + g1(i1,i2)*g1(i4,i6)*g2(i2,i3)
       + g1(i1,i2)*g1(i4,i6)*g2(i3,i4)
       - 2*g1(i1,i2)*g1(i5,i6)*g2(i1,i4)
       - 3*g1(i1,i2)*g3(i4,i5)
       + 3*g1(i1,i2)*g3(i4,i6)
       + g1(i1,i4)*g1(i1,i5)*g1(i2,i3)*g1(i3,i4)
       + g1(i1,i4)*g1(i1,i5)*g2(i1,i2)
       + g1(i1,i4)*g1(i1,i5)*g2(i2,i3)
       + g1(i1,i4)*g1(i1,i5)*g2(i3,i4)
       - g1(i1,i4)*g1(i1,i6)*g1(i2,i3)*g1(i3,i4)
       - g1(i1,i4)*g1(i1,i6)*g2(i1,i2)
       - g1(i1,i4)*g1(i1,i6)*g2(i2,i3)
       - g1(i1,i4)*g1(i1,i6)*g2(i3,i4)
       + g1(i1,i4)*g1(i2,i3)*g1(i3,i4)*g1(i5,i6)
       + g1(i1,i4)*g1(i5,i6)*g2(i1,i2)
       + g1(i1,i4)*g1(i5,i6)*g2(i2,i3)
       + g1(i1,i4)*g1(i5,i6)*g2(i3,i4)
       + g1(i1,i5)*g1(i2,i3)*g1(i3,i4)*g1(i4,i5)
       - 2*g1(i1,i5)*g1(i2,i3)*g2(i1,i4)
       + 2*g1(i1,i5)*g1(i2,i3)*g2(i4,i5)
       - 2*g1(i1,i5)*g1(i3,i4)*g2(i1,i4)
       + 2*g1(i1,i5)*g1(i3,i4)*g2(i4,i5)
       + g1(i1,i5)*g1(i4,i5)*g2(i1,i2)
       + g1(i1,i5)*g1(i4,i5)*g2(i2,i3)
       + g1(i1,i5)*g1(i4,i5)*g2(i3,i4)
       + 3*g1(i1,i5)*g3(i1,i4)
       + 3*g1(i1,i5)*g3(i4,i5)
       - g1(i1,i6)*g1(i2,i3)*g1(i3,i4)*g1(i4,i6)
       + 2*g1(i1,i6)*g1(i2,i3)*g2(i1,i4)
       - 2*g1(i1,i6)*g1(i2,i3)*g2(i4,i6)
       + 2*g1(i1,i6)*g1(i3,i4)*g2(i1,i4)
       - 2*g1(i1,i6)*g1(i3,i4)*g2(i4,i6)
       - g1(i1,i6)*g1(i4,i6)*g2(i1,i2)
       - g1(i1,i6)*g1(i4,i6)*g2(i2,i3)
       - g1(i1,i6)*g1(i4,i6)*g2(i3,i4)
       - 3*g1(i1,i6)*g3(i1,i4)
       - 3*g1(i1,i6)*g3(i4,i6)
       - 2*g1(i2,i3)*g1(i3,i4)*g2(i4,i5)
       + 2*g1(i2,i3)*g1(i3,i4)*g2(i4,i6)
       - g1(i2,i3)*g1(i4,i5)*g2(i1,i2)
       - g1(i2,i3)*g1(i4,i5)*g2(i1,i5)
       - g1(i2,i3)*g1(i4,i5)*g2(i3,i4)
       + g1(i2,i3)*g1(i4,i6)*g2(i1,i2)
       + g1(i2,i3)*g1(i4,i6)*g2(i1,i6)
       + g1(i2,i3)*g1(i4,i6)*g2(i3,i4)
       - 2*g1(i2,i3)*g1(i5,i6)*g2(i1,i4)
       - 3*g1(i2,i3)*g3(i4,i5)
       + 3*g1(i2,i3)*g3(i4,i6)
       - g1(i3,i4)*g1(i4,i5)*g2(i1,i2)
       - g1(i3,i4)*g1(i4,i5)*g2(i1,i5)
       - g1(i3,i4)*g1(i4,i5)*g2(i2,i3)
       + g1(i3,i4)*g1(i4,i6)*g2(i1,i2)
       + g1(i3,i4)*g1(i4,i6)*g2(i1,i6)
       + g1(i3,i4)*g1(i4,i6)*g2(i2,i3)
       - 2*g1(i3,i4)*g1(i5,i6)*g2(i1,i4)
       - 3*g1(i3,i4)*g3(i4,i5)
       + 3*g1(i3,i4)*g3(i4,i6)
       - g1(i4,i5)*g3(i1,i2)
       + g1(i4,i5)*g3(i1,i5)
       - g1(i4,i5)*g3(i2,i3)
       - g1(i4,i5)*g3(i3,i4)
       + g1(i4,i6)*g3(i1,i2)
       - g1(i4,i6)*g3(i1,i6)
       + g1(i4,i6)*g3(i2,i3)
       + g1(i4,i6)*g3(i3,i4)
       + 3*g1(i5,i6)*g3(i1,i4)
       - 2*g2(i1,i2)*g2(i4,i5)
       + 2*g2(i1,i2)*g2(i4,i6)
       - 2*g2(i1,i5)*g2(i4,i5)
       + 2*g2(i1,i6)*g2(i4,i6)
       - 2*g2(i2,i3)*g2(i4,i5)
       + 2*g2(i2,i3)*g2(i4,i6)
       - 2*g2(i3,i4)*g2(i4,i5)
       + 2*g2(i3,i4)*g2(i4,i6)
       - 4*g4(i4,i5)
       + 4*g4(i4,i6)
      ;

